## org.apache.catalina.startup
Class SetDocBaseRule

    java.lang.Object
      org.apache.commons.digester.Rule
          org.apache.catalina.startup.SetDocBaseRule

public class SetDocBaseRule
extends org.apache.commons.digester.Rule

Rule that modifies the docBase of the host, setting it appropriately, before adding the Context to the parent Host.

Author:
  Remy Maucherat

Field Summary

Fields inherited from class org.apache.commons.digester.Rule
`digester, namespaceURI`

Constructor Summary
`SetDocBaseRule()` Construct a new instance of this Rule.

Method Summary
`void` `begin(java.lang.String namespace, java.lang.String name, org.xml.sax.Attributes attributes)` Handle the beginning of an XML element.

Methods inherited from class org.apache.commons.digester.Rule
`begin, body, body, end, end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetDocBaseRule

    public SetDocBaseRule()

  Construct a new instance of this Rule.

Method Detail

### begin

    public void begin(java.lang.String namespace,
                      java.lang.String name,
                      org.xml.sax.Attributes attributes)
               throws java.lang.Exception

  Handle the beginning of an XML element.

  Parameters:
    `attributes` - The attributes of this element
  Throws:
    `java.lang.Exception` - if a processing error occurs

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.